YaCy und Java 1.7

Hier finden YaCy User Hilfe wenn was nicht funktioniert oder anders funktioniert als man dachte. Bei offensichtlichen Fehlern diese bitte gleich in die Bugs (http://bugs.yacy.net) eintragen.
Forumsregeln
In diesem Forum geht es um Benutzungsprobleme und Anfragen für Hilfe. Wird dabei ein Bug identifiziert, wird der thread zur Bearbeitung in die Bug-Sektion verschoben. Wer hier also einen Thread eingestellt hat und ihn vermisst, wird ihn sicherlich in der Bug-Sektion wiederfinden.

YaCy und Java 1.7

Beitragvon Low012 » So Sep 20, 2009 7:58 pm

Im englischen Forum hat jemand Probleme, YaCy auf einem Debian-System unter java 1.7 zum Laufen zu bringen. Ich bin auch etwas ratlos, darum hier mal die Frage, ob schon jemand Yacy mit Java 1.7 ausprobiert hat.

Hier der Thread im englischen Forum: http://www.yacy-forum.org/viewtopic.php?f=2&t=252
Low012
 
Beiträge: 2214
Registriert: Mi Jun 27, 2007 12:11 pm

Re: YaCy und Java 1.7

Beitragvon Orbiter » So Sep 20, 2009 10:12 pm

seitdem ich nun den Schneeleoparden habe, hat der Mac statt Java 1.5 nun in Java 1.6. Aber bei Java 1.7 wird der Mac wahrscheinlich frühestens in zwei Jahren sein...

Ich hab mal in das englische Forum gepostet, aber wäre wirklich gut wenn hier auch mal jemand Java 1.7 ausprobiert.
Orbiter
 
Beiträge: 5792
Registriert: Di Jun 26, 2007 10:58 pm
Wohnort: Frankfurt am Main

Re: YaCy und Java 1.7

Beitragvon Vega » Mo Sep 28, 2009 8:42 am

@Michael - ist zwar etwas OT, aber passt dazu: Auf der Web Seite von Sun http://java.sun.com/javase/downloads/index_jdk5.jsp
steht ja:
Code: Alles auswählen
J2SE 5.0 is in its Java Technology End of Life (EOL) transition period. The EOL transition period began April 8th, 2008 and will complete October 30th, 2009, when J2SE 5.0 will have reached its End of Service Life (EOSL). Customers interested in learning more about Sun's Java Technology Support and EOL policy

Wäre doch eine gute Gelegenheit auf Java 1.6 zu setzen, das ist mittlerweile ja über 2 Jahre alt - und würde uns bei einigen Dingen doch Vorteile bringen...ich hatte da vor Jahren mal einen ct Artikel dazu gelesen. leider hast Du recht, die Java Unterstützung seitens Apple ist nicht so toll. Noch mehr OT: Snowleopard
Zufrieden ? Ich habe noch 10.4 und überlege mir einen Wechsel....

Gruß,
Thomas
Vega
 
Beiträge: 824
Registriert: Mi Jun 27, 2007 3:34 pm
Wohnort: Dresden

Re: YaCy und Java 1.7

Beitragvon Orbiter » Di Sep 29, 2009 9:56 am

das EOSL von sun stört mich nicht sehr, dass heisst nur dass die in Java 1.5 keine Bugfixe mehr rein tun -- was bei Java 1.7 wohl noch notwendig ist.
Auf Mac Leopard gabs kein Java 1.6, das ist jetzt erst mit Snow Leopard da. Es dauert m.E. nach 2 Jahre bis man sich darauf verlassen kann, dass fast alle auf diese Version nach dem going public migriert sind. Wenn wir nun auf Java 1.6 gehen, würde das den Ausschluss von vielen Macs bedeuten. Das betrifft insbesondere alle PowerPC Architekturen, denn für die gibts das Snow Leopard nicht!

So lange kein deutlicher Vorteil von Java 1.6 gegenüber 1.5 sichtbar ist überwiegt für mich der Nachteil der fehlenden Mac-Unterstützung. Ich denke wir haben hier aber auch keinen Leidensdruck. Mal gabesehen davon: viele Libraries die wir benutzen sind noch auf Stand von 1.4
Orbiter
 
Beiträge: 5792
Registriert: Di Jun 26, 2007 10:58 pm
Wohnort: Frankfurt am Main


Zurück zu Fragen und Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron